Rename an agent chat
Renames an in-app agent chat owned by the authenticated user.
PATCH
/agent-chats/{chatId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
chatIdstringrequiredQuery parameters
fieldsToReturnstringComma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestringAdvanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
compactfullHeader parameters
LT-Response-ShapestringAdvanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
fullRequest body
requiredapplication/jsontitlestringrequiredNew chat title
Responses
200
successbooleanrequired400Invalid title
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Chat not found
Request
curl -X PATCH "https://leadtime.app/api/public/agent-chats/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string"
}'const response = await fetch("https://leadtime.app/api/public/agent-chats/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "string"
})
});import requests
response = requests.patch(
"https://leadtime.app/api/public/agent-chats/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"title": "string"
},
)Response
{
"success": true
}Invalid title
Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Chat not found